Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface JwsContext

All Superinterfaces:
  Context, Serializable

All Known Subinterfaces:
  JpdContext, JwsContext

    public interface JwsContext

extends Context

Provides access to container services that support web services (JWS files). Represents the execution context of the web service. Methods in this interface can be used to access out-of-band data for communication with other web service architectures and to manage conversations.
For more information on building web services, see Building Web Services.

See Also:
  `Context`

Nested Class Summary
`static interface` | `JwsContext.Callback` The Callback interface defines events that can be received through the `Context` object.

Method Summary
`String` | `getCallbackLocation()` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.getEndPoint()`.
`String` | `getCallbackPassword()` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.getPassword()`.
`String` | `getCallbackUsername()` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.getUsername()`.
`Element[]` | `getInputHeaders()` Returns the SOAP headers that arrived with the current method invocation message.
`Protocol` | `getProtocol()` Gets the protocol of the current request.
`boolean` | `getUnderstoodInputHeaders()` Returns the value most recently set by a call to `setUnderstoodInputHeaders`.
`void` | `setCallbackLocation(String url)` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setEndPoint(URL)`.
`void` | `setCallbackLocation(URL url)` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setEndPoint(URL)`.
`void` | `setCallbackPassword(String password)` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setPassword(String)`.
`void` | `setCallbackUsername(String username)` Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setUsername(String)`.
`void` | `setOutputHeaders(Element[] headers)` Set the SOAP headers to be sent with outgoing messages to the client.
`void` | `setUnderstoodInputHeaders(boolean understood)` Indicates whether input headers were understood.

Methods inherited from interface weblogic.jws.control.Context
`finishConversation, getCallerPrincipal, getCurrentAge, getCurrentIdleTime, getLogger, getMaxAge, getMaxIdleTime, getService, isCallerInRole, isFinished, resetIdleTime, setMaxAge, setMaxAge, setMaxIdleTime, setMaxIdleTime`

Method Detail

### getInputHeaders

    Element[] getInputHeaders()

  Returns the SOAP headers that arrived with the current method invocation message. The SOAP headers used by WebLogic Workshop to manage conversations are included in the list of headers returned.

  Returns:
    An array of org.w3c.dom.Element objects containing the SOAP headers that arrived with the current method invocation.

### setUnderstoodInputHeaders

    void setUnderstoodInputHeaders(boolean understood)

  Indicates whether input headers were understood. If any input headers are marked with the mustUnderstand attribute value of "1" or "true" and this method is not called with the value `true`, then a SOAP fault will be generated.

  Parameters:
    `understood` - `true` to indicate that "mustUnderstand" headers were understood; `false` to indicate they weren't.

### getUnderstoodInputHeaders

    boolean getUnderstoodInputHeaders()

  Returns the value most recently set by a call to `setUnderstoodInputHeaders`.

  Returns:
    The value most recently set by a call to JwsContext.setUnderstoodInputHeaders(); `false` if JwsContext.setUnderstoodInputHeaders() has not been called.

### setOutputHeaders

    void setOutputHeaders(Element[] headers)

  Set the SOAP headers to be sent with outgoing messages to the client.

  Parameters:
    `headers` - An array of org.w3c.dom.Element objects containing valid SOAP headers.

### setCallbackLocation

    void setCallbackLocation(String url)
                             throws MalformedURLException

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setEndPoint(URL)`.

  Specifies the URL to which a web service callback should be sent. Call this method before sending callbacks for conversations with clients that do not implicitly provide callback information via SOAP headers.
  You may provide credentials as part of the URL (if supported by the scheme) or by using the setCallbackUsername and setCallbackPassword methods.
  The callback location is typically provided by the client in the callbackLocation conversation start SOAP header, but may be set explicitly using this method. The callback location must be set before attempting to send a callback to the client. JwsContext.getCallbackLocation() may be used to retrieve the URL set by this method or to discover the callback URL if it was set via the SOAP header.
  Credentials may be provided as part of the URL (if supported by the scheme) or by using the JwsContext.setCallbackUsername() and JwsContext.setCallbackPassword() methods.
  Deprecated: JWS callback interfaces should extend ServiceControl, and then ServiceControl.setEndpoint(URL) can be called on a callback instance to set the callback destination.

  Parameters:
    `url` - The URL to which callbacks should be sent.
  Throws:
    `MalformedURLException` - If the URL did not specify a protocol, or if it could not be parsed.

### setCallbackLocation

    void setCallbackLocation(URL url)

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setEndPoint(URL)`.

  Specifies the URL to which a web service callback should be sent. Call this method before sending callbacks for conversations with clients that do not implicitly provide callback information via SOAP headers.
  You may provide credentials as part of the URL (if supported by the scheme) or by using the setCallbackUsername and setCallbackPassword methods.
  The callback location is typically provided by the client in the callbackLocation conversation start SOAP header, but may be set explicitly using this method. The callback location must be set before attempting to send a callback to the client. JwsContext.getCallbackLocation() may be used to retrieve the URL set by this method or to discover the callback URL if it was set via the SOAP header.
  Credentials may be provided as part of the URL (if supported by the scheme) or by using the JwsContext.setCallbackUsername() and JwsContext.setCallbackPassword() methods.
  Deprecated: JWS callback interfaces should extend ServiceControl, and then ServiceControl.setEndpoint(URL) can be called on a callback instance to set the callback destination.

  Parameters:
    `url` - The URL to which callbacks should be sent.

### getCallbackLocation

    String getCallbackLocation()

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.getEndPoint()`.

  Retrieves the URL set by a setCallbackLocation method, or retrieves the callback URL if it was set via SOAP headers.
  You can call getCallbackLocation() to retrieve the URL set with JwsContext.setCallbackLocation, or to discover the URL if it was set via SOAP headers when a conversation start method was called.
  Deprecated: JWS callback interfaces should extend ServiceControl, and then ServiceControl.getEndpoint() can be called on a callback instance to set the callback destination.

  Returns:
    The URL to which callbacks should be sent.

### setCallbackUsername

    void setCallbackUsername(String username)

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setUsername(String)`.

  Sets the user name to use for credentials in callbacks. Use the setCallbackUsername and setCallbackPassword methods if the callback's recipient is secure, and if no credentials were specified in the callback URL.
  Overrides the current username if it was specified by the client as part of the callbackLocation conversation start SOAP header.
  Deprecated: JWS callback interfaces should extend ServiceControl, and then call ServiceControl.setUsername() on a callback instance.

  Parameters:
    `username` - The user name to use in credentials.

### setCallbackPassword

    void setCallbackPassword(String password)

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.setPassword(String)`.

  Sets the password to use for credentials in callbacks. Use the setCallbackUsername and setCallbackPassword methods if the callback's recipient is secure, and if no credentials were specified in the callback URL.
  Overrides the current password if it was specified by the client as part of the callbackLocation conversation start SOAP header.
  Deprecated: JWS callback interfaces should extend ServiceControl, and then call ServiceControl.setPassword() on a callback instance.

  Parameters:
    `password` - The password to use in credentials.

### getCallbackUsername

    String getCallbackUsername()

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.getUsername()`.

  Gets the user name used for credentials in callbacks. The username may have been specified by the client as part of the callbackLocation conversation start SOAP header, or it may have been set by a call to JwsContext.setCallbackUsername().
  Deprecated: JWS callback interfaces should extend ServiceControl, and then call ServiceControl.getUsername() on a callback instance.

  Returns:
    The username that will be used for callbacks to the client in the current conversation.

### getCallbackPassword

    String getCallbackPassword()

  Deprecated. Supported for backward compatibility only; as of WebLogic Platform 8.1, replaced by `ServiceControl.getPassword()`.

  Gets the password used for credentials in callbacks. The password may have been specified by the client as part of the callbackLocation conversation start SOAP header, or it may have been set by a call to JwsContext.setCallbackPassword().
  Deprecated: JWS callback interfaces should extend ServiceControl, and then call ServiceControl.getPassword() on a callback instance.

  Returns:
    The password that will be used for callbacks to the client in the current conversation.

### getProtocol

    Protocol getProtocol()

  Gets the protocol of the current request.

  Returns:
    The protocol of the current request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD